| ICM45686 eMD driver Documentation of the eMD Driver API

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Attributes | List of all members
inv_imu_adv_var_t Struct Reference
Driver Advanced

Definition of extended variables. More...

`#include <inv_imu_driver_advanced.h>`

## Public Attributes
void(* | sensor_event_cb )(inv_imu_sensor_event_t *event)
| Callback executed when a new sensor event is available. More...
uint8_t | fifo_is_used
| Keeps track of FIFO usage. More...
uint8_t | fifo_comp_en
| Indicates if FIFO compression is enabled. More...
fifo_config0_fifo_mode_t | fifo_mode
| Current fifo mode. More...
int16_t | accel_baseline [3]
| Baseline for the accel. More...
int16_t | gyro_baseline [3]
| Baseline for the gyro. More...
int16_t | temp_baseline
| Baseline for the temperature sensor. More...
uint8_t | accel_baseline_found
| Flag indicating accel baseline has been found. More...
uint8_t | gyro_baseline_found
| Flag indicating gyro baseline has been found. More...
uint8_t | temp_baseline_found
| Flag indicating temperature baseline has been found. More...

## Detailed Description

Definition of extended variables.

## Member Data Documentation

## ◆ accel_baseline

int16_t inv_imu_adv_var_t::accel_baseline[3]

Baseline for the accel.

## ◆ accel_baseline_found

uint8_t inv_imu_adv_var_t::accel_baseline_found

Flag indicating accel baseline has been found.

## ◆ fifo_comp_en

uint8_t inv_imu_adv_var_t::fifo_comp_en

Indicates if FIFO compression is enabled.

## ◆ fifo_is_used

uint8_t inv_imu_adv_var_t::fifo_is_used

Keeps track of FIFO usage.

## ◆ fifo_mode

fifo_config0_fifo_mode_t inv_imu_adv_var_t::fifo_mode

Current fifo mode.

Required by AN-000364

## ◆ gyro_baseline

int16_t inv_imu_adv_var_t::gyro_baseline[3]

Baseline for the gyro.

## ◆ gyro_baseline_found

uint8_t inv_imu_adv_var_t::gyro_baseline_found

Flag indicating gyro baseline has been found.

## ◆ sensor_event_cb

void(* inv_imu_adv_var_t::sensor_event_cb) (inv_imu_sensor_event_t *event)

Callback executed when a new sensor event is available.

Parameters

  [in] | event | Pointer to the sensor event.

## ◆ temp_baseline

int16_t inv_imu_adv_var_t::temp_baseline

Baseline for the temperature sensor.

## ◆ temp_baseline_found

uint8_t inv_imu_adv_var_t::temp_baseline_found

Flag indicating temperature baseline has been found.

The documentation for this struct was generated from the following file:

- inv_imu_driver_advanced.h